using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace AcaMate.Common.Models;

public class JwtSettings
{
    public string SecretKey { get; set; }
    public string Issuer { get; set; }
    public string Audience { get; set; }
    public int ExpiryMinutes { get; set; }
    public int ClockSkewMinutes { get; set; }
    public int RefreshTokenExpiryDays { get; set; }
}
[Table(("refresh_token"))]
public class RefreshToken
{
    [Key]
    [Required(ErrorMessage = "필수 항목 누락")]
    public string uid { get; set; }
    public string token { get; set; }
    public DateTime create_Date { get; set; }
    public DateTime expire_date { get; set; }
    
    // 이건 로그아웃시에 폐기 시킬예정이니 그떄 변경하는걸로 합시다.
    public DateTime? revoke_Date { get; set; }
}